const fs = require('fs');
let content_svelteconfig = fs.readFileSync('./s-config.template.js', { encoding: 'utf8' });
let content_html = fs.readFileSync('./index.template.html', { encoding: 'utf8' });
if (process.env.NODE_ENV_ODIT == 'development_fast') {
	content_html = content_html.replace(
		'__TAILWIND_INSERT__',
		'<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/tailwindcss@2.0.2/dist/tailwind.min.css">'
	);
	content_svelteconfig = content_svelteconfig.replace('__insert__', '{postcss:{}}');
} else {
	content_html = content_html.replace('__TAILWIND_INSERT__', '');
	content_svelteconfig = content_svelteconfig.replace(
		'__insert__',
		"{postcss:{plugins:[require('tailwindcss'),require('autoprefixer')]}}"
	);
}
fs.writeFileSync('./public/index.html', content_html);
fs.writeFileSync('./svelte.config.js', content_svelteconfig);
console.info('dev setup script done');
